from datetime import datetime
from dateutil.parser import parse


def as_date(s: str, format=None):
    """convert string to date object

    Parameters
    ----------
    s : str
        date-like string

    Returns
    -------
    date
        date object
    """
    if format:
        return datetime.strptime(s, format).date()
    else:
        return parse(s).date()
